Skip to main content
POST
Update PVC voice sample

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

voice_id
string
required

Voice ID to be used, you can use GET /v1/voices to list all the available voices.

Example:

"21m00Tcm4TlvDq8ikWAM"

sample_id
string
required

Sample ID to be used

Example:

"VW7YKqPnjY4h39yTbx2L"

Body

application/json
remove_background_noise
boolean
default:false

If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse.

Example:

true

selected_speaker_ids
string[] | null

Speaker IDs to be used for PVC training. Make sure you send all the speaker IDs you want to use for PVC training in one request because the last request will override the previous ones.

Example:

"speaker_0"

trim_start_time
integer | null

The start time of the audio to be used for PVC training. Time should be in milliseconds

Example:

0

trim_end_time
integer | null

The end time of the audio to be used for PVC training. Time should be in milliseconds

Example:

10

file_name
string | null

The name of the audio file to be used for PVC training.

Example:

"sample.mp3"

Response

Successful Response

voice_id
string
required

The ID of the voice.